Difference between revisions of "Macro Align Face Object to View/pl"

From FreeCAD Documentation
Jump to navigation Jump to search
(Created page with "==Opis== To makro kieruje ścianę obiektu na stronę aktywnego widoku. W przypadku czoła otworu wiertniczego ''(lub wewnętrznego lub cylindrycznego)'' czoło wiertła skier...")
(Updating to match new version of source page)
 
(9 intermediate revisions by 2 users not shown)
Line 1: Line 1:
 
<languages/>
 
<languages/>
 +
 
{{Macro/pl
 
{{Macro/pl
 
|Name=Makrodefinicja: Wyrównaj ścianę obiektu do widoku
 
|Name=Makrodefinicja: Wyrównaj ścianę obiektu do widoku
Line 13: Line 14:
  
 
==Opis==
 
==Opis==
 +
 
To makro kieruje ścianę obiektu na stronę aktywnego widoku.
 
To makro kieruje ścianę obiektu na stronę aktywnego widoku.
 
W przypadku czoła otworu wiertniczego ''(lub wewnętrznego lub cylindrycznego)'' czoło wiertła skierowane jest w stronę ekranu.
 
W przypadku czoła otworu wiertniczego ''(lub wewnętrznego lub cylindrycznego)'' czoło wiertła skierowane jest w stronę ekranu.
  
==Usage==
+
==Użycie==
* Select your object and run the macro
+
 
* Your object will be of the camera
+
* Wybierz swój obiekt i uruchom makrodefinicję,
 +
* Twój obiekt będzie stał przed kamerą.
 +
 
 +
==Skrypt==
  
==Script==
+
Ikonka paska narzędzi
ToolBar Icon [[Image:Macro_Align_Face_Object_to_View.png]]
+
[[Image:Macro_Align_Face_Object_to_View.png]]
  
 
'''Macro_Align_Face_Object_to_View.FCMacro'''
 
'''Macro_Align_Face_Object_to_View.FCMacro'''

Latest revision as of 10:08, 21 December 2021

Other languages:
English • ‎français • ‎italiano • ‎polski • ‎русский

Macro Align Face Object to View.png Makrodefinicja: Wyrównaj ścianę obiektu do widoku

Opis
To makro kieruje ścianę obiektu na stronę aktywnego widoku.

Macro version: 0.1
Last modified: 2015-01-16
FreeCAD version: Wszystkie
Download: ToolBar Icon
Autor: Mario52
Autor
Mario52
Do pobrania
ToolBar Icon
Odnosniki
Wersja Makrodefinicji
0.1
Data zmian
2015-01-16
Wersja FreeCAD
Wszystkie
Domyślny skrót
Brak
Zobacz również
FCCamera Makro FCCamera

Opis

To makro kieruje ścianę obiektu na stronę aktywnego widoku. W przypadku czoła otworu wiertniczego (lub wewnętrznego lub cylindrycznego) czoło wiertła skierowane jest w stronę ekranu.

Użycie

  • Wybierz swój obiekt i uruchom makrodefinicję,
  • Twój obiekt będzie stał przed kamerą.

Skrypt

Ikonka paska narzędzi Macro Align Face Object to View.png

Macro_Align_Face_Object_to_View.FCMacro

# This macro directs the face of the object on the side of the ActiveView (camera)
# extact FCCamera
# 16/01/2015

__title__="Macro_Align_Face_Object_to_View"
__author__ = "Mario52"

import pivy
from pivy import coin

try:
    v=Gui.Selection.getSelectionEx()[0].SubObjects[0].Surface.Axis    # to Axis
#    v = Gui.Selection.getSelectionEx()[0].SubObjects[0].normalAt(0,0) # normalAt
    r=App.Rotation(App.Vector(0,0,1),v)
    Gui.ActiveDocument.ActiveView.setCameraOrientation(r.Q)
except Exception:
    App.Console.PrintError("Select a face and run the macro"+"\n")

Links

Original macro by wmayer Looking for some helpful GUI-commands